Bug 1293480 - [abrt] libreoffice-core: sd::ViewShell::GetMenuState(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: sd::ViewShell::GetMenuState(): soffice.bin killed by...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1744a778bd75aee6fe78671dc57...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 16:33 EST by Peter Gervase
Modified: 2016-01-11 09:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 09:45:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (98.11 KB, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: cgroup (242 bytes, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: core_backtrace (17.96 KB, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: dso_list (26.94 KB, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: environ (1.96 KB, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: maps (122.65 KB, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: mountinfo (3.59 KB, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: open_fds (3.74 KB, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details
File: var_log_messages (341 bytes, text/plain)
2015-12-21 16:33 EST, Peter Gervase
no flags Details

  None (edit)
Description Peter Gervase 2015-12-21 16:33:36 EST
Description of problem:
I have a presentation saved on a remote host that I've been working on today. After fighting with getting formatting how I want on the various slides, I'd made about 10 or so slides. I was about to start working on the next slide and the program crashed then. I probably was trying to paste text in or undo pasting text since the formatting was off.

Version-Release number of selected component:
libreoffice-core-5.1.0.0-10.beta2.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=5
crash_function: sd::ViewShell::GetMenuState
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     4994
kernel:         4.4.0-0.rc5.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sd::ViewShell::GetMenuState at /usr/src/debug/libreoffice-5.1.0.0.beta2/sd/source/ui/view/viewshe3.cxx:160
 #1 sd::DrawViewShell::GetMenuState at /usr/src/debug/libreoffice-5.1.0.0.beta2/sd/source/ui/view/drviews7.cxx:254
 #2 SfxShell::CallState at /usr/src/debug/libreoffice-5.1.0.0.beta2/include/sfx2/shell.hxx:208
 #3 SfxShell::GetSlotState at /usr/src/debug/libreoffice-5.1.0.0.beta2/sfx2/source/control/shell.cxx:482
 #4 SfxDispatcher::QueryState at /usr/src/debug/libreoffice-5.1.0.0.beta2/sfx2/source/control/dispatch.cxx:2004
 #5 SfxDispatchController_Impl::addStatusListener at /usr/src/debug/libreoffice-5.1.0.0.beta2/sfx2/source/control/unoctitm.cxx:923
 #6 SfxOfficeDispatch::addStatusListener at /usr/src/debug/libreoffice-5.1.0.0.beta2/sfx2/source/control/unoctitm.cxx:386
 #7 svt::ToolboxController::bindListener at /usr/src/debug/libreoffice-5.1.0.0.beta2/svtools/source/uno/toolboxcontroller.cxx:552
 #8 framework::ToolBarManager::UpdateControllers at /usr/src/debug/libreoffice-5.1.0.0.beta2/framework/source/uielement/toolbarmanager.cxx:438
 #9 framework::ToolBarManager::AsyncUpdateControllersHdl at /usr/src/debug/libreoffice-5.1.0.0.beta2/framework/source/uielement/toolbarmanager.cxx:1987
Comment 1 Peter Gervase 2015-12-21 16:33:42 EST
Created attachment 1108488 [details]
File: backtrace
Comment 2 Peter Gervase 2015-12-21 16:33:44 EST
Created attachment 1108489 [details]
File: cgroup
Comment 3 Peter Gervase 2015-12-21 16:33:45 EST
Created attachment 1108490 [details]
File: core_backtrace
Comment 4 Peter Gervase 2015-12-21 16:33:47 EST
Created attachment 1108491 [details]
File: dso_list
Comment 5 Peter Gervase 2015-12-21 16:33:48 EST
Created attachment 1108492 [details]
File: environ
Comment 6 Peter Gervase 2015-12-21 16:33:49 EST
Created attachment 1108493 [details]
File: exploitable
Comment 7 Peter Gervase 2015-12-21 16:33:50 EST
Created attachment 1108494 [details]
File: limits
Comment 8 Peter Gervase 2015-12-21 16:33:52 EST
Created attachment 1108495 [details]
File: maps
Comment 9 Peter Gervase 2015-12-21 16:33:54 EST
Created attachment 1108496 [details]
File: mountinfo
Comment 10 Peter Gervase 2015-12-21 16:33:55 EST
Created attachment 1108497 [details]
File: namespaces
Comment 11 Peter Gervase 2015-12-21 16:33:56 EST
Created attachment 1108498 [details]
File: open_fds
Comment 12 Peter Gervase 2015-12-21 16:33:57 EST
Created attachment 1108499 [details]
File: proc_pid_status
Comment 13 Peter Gervase 2015-12-21 16:33:58 EST
Created attachment 1108500 [details]
File: var_log_messages
Comment 14 David Tardon 2015-12-31 04:58:50 EST
Can you reproduce the crash?
Comment 15 Peter Gervase 2016-01-11 08:55:31 EST
It hasn't reproduced again, but I haven't been using it as much as I was before.

Note You need to log in before you can comment on or make changes to this bug.